# Change Type

Sometimes the system cannot identify data types correctly due to data impurities. Another situation is that some functions or formulas are limited for certain data types. For example, the **`concate()`** function in Formula can only be used for the **`String`** columns.  **`Change Type`** allows you to manually change the data type of any column to the desired type. For example, change a string field to numeric, or date to strings.&#x20;

![](/files/-McBg7b-mfFz6f0nltQH)

### **Troubleshooting**

When changing a **`String`** column to the date and time types, you have to be careful that if values are in a standard expression of the specific date and time type. Otherwise, the system will run in an error.

* **`Date`** only accepts a string format of `yyyy-mm-dd`, such as "2016-12-25".
* **`Datetime`** only accepts a string format of `yyyy-mm-dd hh:mm:ss`, such as"2020-12-01 14:20:32".
* **`Timestamp`** only accepts a string format of `yyyy-mm-dd hh:mm:ss timezone`, such as "2020-12-25 15:30:00 UTC".
* **`Time`** only accepts a string format of `hh:mm:ss`, such as "23:30:00"

If your data has a different expression but you want to change it into a date and time type, you can try [PARSE\_DATE()](/acho-studio/data-prep-projects/applying-actions/tools/sql-editor/supported-math-functions-in-formula/date-functions.md#parse_date), [PARSE\_DATETIME()](/acho-studio/data-prep-projects/applying-actions/tools/sql-editor/supported-math-functions-in-formula/datetime-functions.md#parse_datetime), [PARSE\_TIMESTAMP()](/acho-studio/data-prep-projects/applying-actions/tools/sql-editor/supported-math-functions-in-formula/timestamp-time-functions.md#parse_timestamp), or [PARSE\_TIME()](/acho-studio/data-prep-projects/applying-actions/tools/sql-editor/supported-math-functions-in-formula/time-functions.md#parse_time) in Formula.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acho.io/acho-studio/data-prep-projects/applying-actions/data-cleaning/change-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
